%define module enchant

Name:           python-%{module}
Version:        3.2.2
Release:        %mkrel 1
Summary:        Python bindings for Enchant spellchecking library
Group:          Development/Python
License:        LGPLv2+
URL:            https://pypi.org/project/pyenchant
Source0:        https://pypi.io/packages/source/p/py%{module}/py%{module}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  pkgconfig(enchant-2)
BuildRequires:  hunspell

%description
A spellchecking library for Python, based on the Enchant library.

%package -n python3-%{module}
Summary:        Python3 bindings for Enchant spellchecking library
Group:          Development/Python
Requires:       enchant2
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A spellchecking library for Python3, based on the Enchant library.

%prep
%setup -qn py%{module}-%{version}
%apply_patches

# drop bundled egg-info
rm -rf pyenchant.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

# Directories used in windows build
rm -rf %{buildroot}%{python3_sitelib}/enchant/lib
rm -rf %{buildroot}%{python3_sitelib}/enchant/share

%files -n python3-%{module}
%{python3_sitelib}/%{module}/
%{python3_sitelib}/*.egg-info


%changelog
* Wed Mar 02 2022 TerryN <terryn94 at gmail.com> 3.2.2-1pclos2022
- update and rebuild for python 3.10

* Mon Aug 31 2020 tex - 3.1.1-1pclos2020\
- new version
